| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes
Tp::MemberFunctor6< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 > Struct Template Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/functors.h>`

Inherits Tp::BaseFunctor.

List of all members.

## Public Types

- typedef R(T::* FunctionType )(Arg1, Arg2, Arg3, Arg4, Arg5, Arg6)
- typedef R ResultType

## Public Member Functions

- MemberFunctor6 (T *object, FunctionType fn)
- ResultType operator() (Arg1 a1, Arg2 a2, Arg3 a3, Arg4 a4, Arg5 a5, Arg6 a6) const

## Public Attributes

- T * object
- FunctionType fn

### template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>
struct Tp::MemberFunctor6< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >

## Member Typedef Documentation

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>

typedef R(T::* Tp::MemberFunctor6< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::FunctionType)(Arg1, Arg2, Arg3, Arg4, Arg5, Arg6)

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>

typedef R Tp::MemberFunctor6< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::ResultType

## Constructor & Destructor Documentation

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>

Tp::MemberFunctor6< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::MemberFunctor6 | ( | T * | object,
|  | FunctionType | fn
| ) |  | `[inline]`

## Member Function Documentation

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>

ResultType Tp::MemberFunctor6< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3,
|  | Arg4 | a4,
|  | Arg5 | a5,
|  | Arg6 | a6
| ) |  | const`[inline]`

## Member Data Documentation

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>

T* Tp::MemberFunctor6< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::object

template<class R, class T, class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>

FunctionType Tp::MemberFunctor6< R, T, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >::fn